%define		_modname	uploadprogress
%define		_status		stable
Summary:	%{_modname} - An extension to track progress of a file upload
Summary(pl.UTF-8):	%{_modname} - rozszerzenie do śledzenia postępu przesyłania pliku
Name:		php-pecl-%{_modname}
Version:	1.0.3.1
Release:	3
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	13fdc39d68e131f37c4e18c3f75aeeda
URL:		http://pecl.php.net/package/uploadprogress/
BuildRequires:	php-devel >= 4:5.2.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php(core) >= 5.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An extension to track progress of a file upload.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
Rozszerzenie do śledzenia postępu przesyłania pliku na serwer.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	-C %{_modname}-%{version} \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/examples
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> ef42acc
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 6409a9d
- release 2 (by relup.sh)

* Thu Mar 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> eb5c3cf
- up to 1.0.3.1

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e3b44cd
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 06821c6
- release 2

* Sun Jun 21 2009 Adam Gołębiowski <adamg@pld-linux.org> fc678bd
- updated to 1.0.1

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> ddcbaff
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Mon Mar 16 2009 duddits <duddits@pld-linux.org> 8816c81
- up to 1.0.0

* Sun Feb 01 2009 Adam Gołębiowski <adamg@pld-linux.org> 6d08946
- package examples; release 2

* Fri Jan 23 2009 Adam Gołębiowski <adamg@pld-linux.org> 1eed854
- updated to 0.9.2

* Sun Aug 31 2008 Adam Gołębiowski <adamg@pld-linux.org> dbbd2ae
- updated to 0.9.1

* Sat Jul 19 2008 Adam Gołębiowski <adamg@pld-linux.org> 01c00ee
- updated to 0.9.0

* Tue Feb 12 2008 Elan Ruusamäe <glen@pld-linux.org> 42eabe1
- package .ini file; rel 1

* Thu May 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 55deca4
- added md5, fixed URL

* Thu May 24 2007 Jakub Bogusz <qboosh@pld-linux.org> c9b0d11
- pl

* Thu May 17 2007 spider <spider@pld-linux.org> f4b5b1a
- init

